<script>
  import { PokemonDetails } from '$lib';

  export let data;
</script>

<nav>
  <a href="/streamed">Back</a>
</nav>
<h1>Pokemon Info</h1>

{#await data.pokemon}
  <span>Loading Pokemon...</span>
{:then pokemon}
  <PokemonDetails pokemonData={pokemon} />
{:catch error}
  <p>Error loading pokemon data: {error.message}</p>
{/await}
